Create a new transfer request
curl --request POST \
--url http://0.0.0.0:3000/v1/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to_email": "amigo@email.com",
"resource_type": "config_entry",
"resource_id": "42"
}
'import requests
url = "http://0.0.0.0:3000/v1/transfers"
payload = {
"to_email": "amigo@email.com",
"resource_type": "config_entry",
"resource_id": "42"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to_email: 'amigo@email.com', resource_type: 'config_entry', resource_id: '42'})
};
fetch('http://0.0.0.0:3000/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"from_user_id": "user_abc123",
"to_email": "amigo@email.com",
"resource_type": "config_entry",
"resource_id": "42",
"status": "pending",
"metadata": null,
"created_at": "2026-03-17T10:00:00Z"
}{
"message": "validation error"
}{
"error": "unauthorized"
}Transfers
Create a new transfer request
POST
/
v1
/
transfers
Create a new transfer request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Email do destinatário
Tipo do recurso
Available options:
physical_device, user_product, config_entry, automation, lovelace_dashboard, script, tag, zone, organization ID do recurso
Metadados opcionais
⌘I